<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserModulePermission extends Model
{
    use HasFactory;

    protected $fillable = [
        'module_permission_id',
        'user_id',
        'is_active',
    ];

    protected $casts = [
        'is_active' => 'boolean',
    ];

    public function modulePermission()
    {
        return $this->belongsTo(ModulePermission::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}

